version: '3'
services:
  mongodb:
    image: mongo:4.2
    volumes:
     - ./mongo/data:/data/db
  httpd:
    build:
      context: ./httpd
    ports:
     - "443:8443"
    depends_on:
     - server
  server:
    build:
      context: ./server-dev
    volumes:
     - ./target/:/server/
    command: >
      java
      -jar /server/fapi-test-suite.jar
      --fintechlabs.base_url=https://localhost.emobix.co.uk:443
      --fintechlabs.devmode=true
      --fintechlabs.startredir=true
    links:
     - mongodb:mongodb
    depends_on:
     - mongodb
    logging:
      # limit logs retained on host
      driver: "json-file"
      options:
        max-size: "500k"
        max-file: "5"
